import { toRaw as n } from "vue";
function t(r) {
  return JSON.parse(JSON.stringify(r));
}
function u(r) {
  if (typeof structuredClone > "u")
    return t(r);
  try {
    return structuredClone(n(r));
  } catch {
    return t(r);
  }
}
export {
  u as c
};
